#include "BaseWidget.h"
#include "MergeEditor.h"

class MergeWidget :
	public BaseWidget
{
	Q_OBJECT

public:
	MergeWidget( char* base, char* theirs, char* yours );
	~MergeWidget(void);

public slots:
	void nil0() {};
	void autoMerge();
	void setTheirsMask( bool on );
	void setYoursMask( bool on );
	void setConflictMask( bool on );

private:
	MergeEditor* editor; 

	QImage merge;
	QImage base;
	QBitmap base_theirs;
	float base_theirs_t;
	QBitmap base_yours;
	float base_yours_t;
	QBitmap conflicts;
	float conflicts_t;

	void freshenConflicts();
};
